/****************************************************************************\
**  Title:       GIFWRITE.C                                                 **
**  Purpose:     Write GIF header information to a file.                    **
**  Version:     1.0                                                        **
**  Date:        May 1991                                                   **
**  Author:      James D. Murray, Anaheim, CA  USA                          **
**  C Compilers: Borland C++ v2.0, Microsoft C v6.00a                       **
**                                                                          **
**  Write the information contained within a GIFHEADER structure            **
**  to a file.  Used to construct GIF-format files.                         **
**                                                                          **
**  This module contains the following functions:                           **
**                                                                          **
**      WriteGifHeader - Write a GIF header to a file stream                **
**                                                                          **
**  Copyright (C) 1991 by Graphics Software Labs.  All rights reserved.     **
\****************************************************************************/
#include <stdio.h>
#include "endianio.h"
#include "gif.h"

/* External global variables */
VOID (*PutWord)(WORD, FILE *);
VOID (*PutDword)(DWORD, FILE *);


VOID
WriteGifHeader(GifHead, FpGif)
GIFHEAD *GifHead;     /* Pointer to GIF header structure  */
FILE    *FpGif;       /* GIF image file output FILE stream */
{
    PutWord = PutLittleWord;    /* Read using little-endian byte order */

    PutString(GifHead->Signature, sizeof(GifHead->Signature), FpGif);
    PutString(GifHead->Version, sizeof(GifHead->Version), FpGif);
    PutWord(GifHead->ScreenWidth,  FpGif);
    PutWord(GifHead->ScreenHeight, FpGif);
    PutByte(GifHead->PackedField,  FpGif);
    PutByte(GifHead->ColorIndex,   FpGif);
    PutByte(GifHead->AspectRatio,  FpGif);
}
}
